/* 幕布样式 */
.drag-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: transparent; /* 几乎透明 */
  	z-index: 1000; /* 低于组件但高于其他内容 */
    cursor: move;
    display: none;
}
.chat-container {
    position: fixed;
    z-index: 1001;
}

.close-component-btn {
    position: absolute;
    margin-top: -15px;
    margin-right: 6px;
    right: 0;
    text-align: right;
    background-color: transparent;
}

.close-component-btn button {
    width: 15px;
    border: none;
    border-radius: 50%;
    background-color: transparent;
    cursor: pointer;
}

.chat-button {
    width: 60px;
    height: 60px;
    background-color: transparent;
    border: none;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    position: relative;
    transition: all 0.3s ease;
}

.chat-title {
    height: 16px;
    width: 100%;
    color: white;
    font-size: 12px;
    text-align: center;
    border-radius: 20px;
    background-color: #1890ff;
}

.chat-button:hover {
    transform: scale(1.05);
}

.hidden {
    display: none;
}

.close-button {
    position: fixed;
    top: 30px;
    right: 20px;
    width: 24px;
    height: 24px;
    background: rgba(0, 0, 0, 0.6);
    border: none;
    border-radius: 50%;
    color: white;
    font-size: 12px;
    cursor: pointer;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.2);
    transition: all 0.3s ease;
    z-index: 10000;
    display: none;
}

.close-button:hover {
    background: rgba(0, 0, 0, 0.9);
    transform: scale(1.1);
}
